Skip to content

Check if delivery is possible to given address

POST
/v1/check/{productId}

Parameters

Path Parameters

productId
required
string
Allowed values: home express box.delivery

Request Body required

object
address

Street name of the destination. When address is omited a coverage check on zip is then performed.

string
zip
required

Zip code of the destination.

string
city
required

City name of the destination.

string
country
required

Two letter country code of the destination of the package.

string
weight

The weight of the shipment in grams

integer
width

The width of the shipment in millimeters

integer
height

The height of the shipment in millimeters

integer
length

The length of the shipment in millimeters

integer
shippingAt

Array of date strings in RFC3339 format, when the shipment can be shipped. For products home, express, box.delivery.

Array<string>
nullable

Responses

200

Early bird can perform delivery to requested address

If productId is “home”, the package will be delivered as a standard “home” package. If productId is anything else, it means that we can not deliver as a standard “home” package, and the package will be delivered using an alternative delivery method (as seen below where we say that we will deliver using Postnord)

object
productId
string
Allowed values: home express box.delivery postnord.mypack postnord.varubrev
fallback

True, if fallback option is activated

boolean
deliveryBoxOptions

Only when fallback type is box.delivery

object
locations
Array<object>
object
id

Unique identifier for the box location.

string
address

Address of the box location.

string
zip

Zip code of the box location.

string
city

City of the box location.

string
lat

Latitude of the box location.

number
long

Longitude of the box location.

number
operationalHours
object
mon
string
tue
string
wed
string
thu
string
fri
string
sat
string
sun
string
estimatedDeliveryDate

Date string of estimated day of delivery, not considering shippingAt values.

string format: date
estimatedDeliveryDates

Array of date strings of estimated day of delivery, one date if possible, or multiple if exact date can not be determined. If applicable for the product and shippingAt is provided.

Array<string>
nullable
addressClassification
object
data
object
houseType
string
Allowed values: Unknown Detached SemiDetached RowHouse Apartment CountryHome Farm StudentHousing Dormitory CommercialMixed Other
mailboxType
string
Allowed values: Unknown Postbox PostboxCluster DoorMailSlot StairwellMailbox PackageLockerPublic PackageLockerBuilding BusinessReception PickupPoint
riskLevel
string
Allowed values: Unknown Low Medium High
fallbackBomPriority

List of fallback BOM priorities for products, populated when fallback options are available. Each item contains the priority and associated productId.

Array<object>
object
priority
number
productId
string
Allowed values: postnord.mypack postnord.varubrev box.delivery
routingInformation
object
primaryRoute
string
nullable
secondaryRoute
string
nullable
sortHub
string
nullable
sortOrder
string
nullable

404

No delivery option was found for requested address

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

500

An unexpected error occurred on the server

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

504

Gateway timeout

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable